accounts/urls.py
from django.urls import path
from .views import login_view, signup_view, logout_view

app_name = 'accounts'

urlpatterns = [
    path('login/', login_view, name='login'),
    path('signup/', signup_view, name='signup'),
    path('logout/', logout_view, name='logout'),
]

appointment/urls.py
from django.urls import path
from .views import home, appointment

app_name = 'appointment'

urlpatterns = [
    path('', home, name='home'),
    path('appointments/', appointment, name='appointments'),
]

appointment_project/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('appointment.urls')),
    path('accounts/', include('accounts.urls')),
]

accounts/models.py
from django.db import models

# Create your models here.

appointment/models.py
from django.db import models
from django.forms import ModelForm
from django.contrib.auth.models import User


days = [
    ('Mon', 'Monday'),
    ('Tue', 'Tuesday'),
    ('Wed', 'Wednesday'),
    ('Thu', 'Thursday'),
    ('Fri', 'Friday'),
    ('Sat', 'Saturday'),
    ('Sun', 'Sunday'),
]


class Appointment(models.Model):
    day = models.CharField(max_length=20, choices=days)
    date = models.DateField()
    time = models.TimeField()
    name = models.ForeignKey(User, default=None, on_delete=models.CASCADE)
    activities = models.CharField(max_length=300)
    place = models.CharField(max_length=100)

    def __str__(self):
        return self.activities

appointment/forms.py
from django import forms
from .models import Appointment

class DateInput(forms.DateInput):
    input_type = 'date'

class TimeInput(forms.TimeInput):
    input_type = 'time'

class AppointmentForm(forms.ModelForm):
    class Meta:
        model = Appointment
        fields = ['day', 'date', 'time', 'activities', 'place']
        widgets = {
            'day' : forms.Select(attrs={
					'class': 'form-control'
					}),
            'date' : DateInput(attrs={
					'class': 'form-control'
					}),
            'time' : TimeInput(attrs={
					'class': 'form-control'
					}),
            'activities' : forms.TextInput(attrs={
					'class': 'form-control'
					}),
            'place' : forms.TextInput(attrs={
					'class': 'form-control'
					}),
        }

accounts/views.py
from django.shortcuts import render, redirect
from django.contrib.auth import authenticate, login, logout
from django.contrib.auth.forms import UserCreationForm, AuthenticationForm

# Create your views here.
def signup_view(request):
    not_valid = False
    if request.method == "POST":
        form = UserCreationForm(request.POST)
        not_valid = True
        if form.is_valid():
            user = form.save()
            login(request, user)
            return redirect('appointment:appointments')
    form = UserCreationForm()
    arguments = {
        'form' : form,
        'not_valid': not_valid
    }
    return render(request, 'signup.html', arguments)

def login_view(request):
    if request.method == "POST":
        form = AuthenticationForm(data=request.POST)
        if form.is_valid():
            #log in the user
            user = form.get_user()
            login(request, user)
            return redirect('appointment:appointments')
    else:
        form = AuthenticationForm()
        arguments = {
            'form' : form,
        }
        return render(request, 'login.html', arguments)

def logout_view(request):
    if request.method == "POST":
        logout(request)
        return redirect('appointment:home')

appointment/views.py
from django.shortcuts import render
from .forms import AppointmentForm
from .models import Appointment
from .forms import AppointmentForm
from django.contrib.auth.decorators import login_required
from django.contrib.auth.models import User

# Create your views here.

def home(request):
    return render(request, 'home.html')

@login_required(login_url='/accounts/login')
def appointment(request):
    if request.method == 'POST':
        form = AppointmentForm(request.POST)
        if form.is_valid():
            app = form.save(commit=False)
            app.name = request.user
            app.save()
    form = AppointmentForm()
    appointment = Appointment.objects.all()
    arguments = {
        'form': form,
        'appointments': appointment,
    }
    return render(request, 'appointment.html', arguments)

accounts/templates/login.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" 
    rel="stylesheet" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" 
    crossorigin="anonymous">
    <link href="{% static 'login.css' %}" rel="stylesheet">
    <title>Log in</title>
</head>
<body>
    <div class="row col-md-12 col-sm-12 ">
        <h1 class="login">Log <span style="color: #9FC2BB">in</h1>
    </div>

    <div class="row col-md-12 col-sm-12">
        <p class="info">Log in to make or see my appointments or <a id="signup-link" href="{% url 'accounts:signup' %}" style="color: #F0BC68;">create an account</a></p>
    </div>

    <div class="box">
        <form action="{% url 'accounts:login' %}" method="POST">
            {% csrf_token %}
            <p>Username: </p>
            {{ form.username }}
            <br>
            <p style="margin-top: 1rem;">Password: </p>
            {{ form.password }}
            <br>
            <input class="btn btn-primary" type="submit" value="Log in" id="login-button">
        </form>
    </div>
    <a id="back" href="{% url 'appointment:home' %}">Back to home</a>
</body>
</html>

accounts/templates/signup.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" 
    rel="stylesheet" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" 
    crossorigin="anonymous">
    <link href="{% static 'signup.css' %}" rel="stylesheet">
    <title>Sign Up</title>
</head>
<body>
    <div class="row col-md-12 col-sm-12">
        <h1 class="signup">Sign <span style="color: #9FC2BB">Up</h1>
    </div>
    
    <div class="box">
        {% if not_valid %}
            <div class="row col-md-12 col-sm-12">
                <p style="color: #E18C03; 
                    font-weight: bold;">
                    Your input is not valid
                </p>
            </div>
        {% endif %}
        <form action="{% url 'accounts:signup' %}" method="POST">
            {% csrf_token %}
            {{ form }}
            <br>
            <input id="signup-button" class="btn btn-primary" type="submit" value="Sign up">
        </form>
    </div>
    <a id="back" href="{% url 'appointment:home' %}">Back to home</a>
</body>
</html>

appointment/templates/appointment.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" 
    rel="stylesheet" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" 
    crossorigin="anonymous">
    <link href="{% static 'appointment.css' %}" rel="stylesheet">
    <title>Lika's Appointments</title>
</head>

<body>
    <div class="row">
        <div class="col-md-2 col-sm-12">
            <form action="{% url 'accounts:logout' %}" method="POST">
                {% csrf_token %}
                <input class="btn btn-secondary" type="submit" value="Log out" id="logout-button">
            </form>
        </div>
    </div>

    <div class="row">
        <div class="col-md-10 col-sm-12">
            <h1 id="hello">Hello, <span style="color: #F0AF45">{{ user.username }}</span></h1>
        </div>
    </div>

    
    <div class="container box">
        <div class="col-md-12 col-sm-12">
            <form method="POST" action="{% url 'appointment:appointments' %}" class="form-group">
                <p style="font-size: 1.2rem;">Create your 
                    <span style="color:#E18C03 ; font-weight: 500;">
                appointment</span> here</p>

                {% csrf_token %}
                <div class="row">
                    <div class="col-md-10 col-sm-12">
                        Day: {{ form.day }}
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6 col-sm-12">
                        Date: {{ form.date }}
                    </div>
    
                    <div class="col-md-4 col-sm-12">
                        Time: {{ form.time }}
                    </div>
                </div>
                
                <div class="row">
                    <div class="col-md-10 col-sm-12">
                        Activities: {{ form.activities }}
                    </div>
                </div>
                
                <div class="row">
                    <div class="col-md-10 col-sm-12">
                        Place: {{ form.place }}
                    </div>
                </div>
        
                <div class="row" style="padding: 2rem 0rem 0rem 0rem;">
                    <div class="col-md-10 col-sm-12">
                        <input type="submit" value="Make an appointment" class="btn btn-primary" >
                    </div>
                </div>

                
        </form>
        </div>    
    </div>
    
    <div class="container table-size">
        <table class="table table-bordered">
            <thead>
                <tr>
                    <th>Day and Date</th>
                    <th>Time</th>
                    <th>Name</th>
                    <th>Activities</th>
                    <th>Place</th>
                </tr>
            </thead>

            <tbody>
                {% for a in appointments %}
                    <tr>
                        <td>{{ a.day }}, {{ a.date }}</td>
                        <td>{{ a.time }}</td>
                        <td>{{ a.name.username }}</td>
                        <td>{{ a.activities }}</td>
                        <td>{{ a.place }}</td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>

    <a id="back" href="{% url 'appointment:home' %}">Back to home</a>
</body>
</html>

appointment/templates/home.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" 
    rel="stylesheet" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" 
    crossorigin="anonymous">
    <link href="{% static 'home.css' %}" rel="stylesheet">
    <title>Meet Lika</title>
</head>
<body>
    {% if user.is_authenticated %}
        <div class="row">
            <div class="col-md-12 col-sm-12">
                <form action="{% url 'accounts:logout' %}" method="POST">
                    {% csrf_token %}
                    <input class="btn btn-primary" type="submit" value="Log out" id="logout-button">
                </form>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12 col-sm-12 welcome">
                <h2>Welcome <span style="color: #9FC2BB;">{{user.username }}</span>,</h2>
            </div>  
        </div>
    {% else %}
        <div class="row">
            <div class="col-md-12 col-sm-12 welcome">
                <h2>Welcome,</h2>
            </div>
        </div>
    {% endif %}

    
    <div class="row col-md-12 col-sm-12">
        <h1 id="appointment">Make an <span style="color: #F0BC68">appointment</span></h1>
    </div>

    <div class="row col-md-12 col-sm-12">
        <h2 id="with">with Lika</h2>
    </div>

    <div class="row col-md-12 col-sm-12">
        <a id="sched-link" href="{% url 'appointment:appointments' %}">See Lika's schedule</a>
    </div>
  
</body>
</html>